<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet  version="1.0" 
                 xsl:exclude-result-prefixes="python"
                 xmlns:python="http://www.tapsellferrier.co.uk/xslt-dynamic-function-languages/python"
                 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <!-- Copyright (C) 2006 by Tapsell-Ferrier Limited -->

    <!-- This program is free software; you can redistribute it and/or modify -->
    <!-- it under the terms of the GNU General Public License as published by -->
    <!-- the Free Software Foundation; either version 2, or (at your option) -->
    <!-- any later version. -->
    
    <!-- This program is distributed in the hope that it will be useful, -->
    <!-- but WITHOUT ANY WARRANTY; without even the implied warranty of -->
    <!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
    <!-- GNU General Public License for more details. -->
    
    <!-- You should have received a copy of the GNU General Public License -->
    <!-- along with this program; see the file COPYING.  If not, write to the -->
    <!-- Free Software Foundation, Inc.,   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA -->


    <xsl:output method="xml" indent="yes"  />

    <xsl:variable name="in" select="python:simple_test.list_account(1, 1)"/>

    <xsl:template match="/">
        <results>
            <output>
                <header>Applying</header>
                <value><xsl:apply-templates select="$in"/></value>
            </output>
            <output>
                <header>Value-of</header>
                <value><xsl:value-of select="$in"/></value>
            </output>
            <output>
                <header>Copy-of</header>
                <value><xsl:copy-of select="$in"/></value>
            </output>
        </results>
    </xsl:template>

    <xsl:template match="mapping">
        <a><xsl:value-of select="key"/></a>
        <b><xsl:value-of select="key"/></b>
    </xsl:template>

    <xsl:template match="row">
        <name><xsl:value-of select="."/></name>
    </xsl:template>

</xsl:stylesheet>
